RollbackTransform (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.transaction.transform

## [Groovy] Class RollbackTransform

- org.grails.transaction.transform.RollbackTransform

- The transform class for Rollback

  deprecated:
    Use org.grails.datastore.gorm.transactions.transform.RollbackTransform instead

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `MY_TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TransactionalTransform` | `COMPILE_STATIC_TYPE, MY_TYPE, PROPERTY_DATA_SOURCE, TYPE_CHECKED_TYPE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getTransactionTemplateMethodName()`
    `` | `protected boolean` | `isTransactionAnnotation(org.codehaus.groovy.ast.AnnotationNode annotationNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TransactionalTransform` | `applyTransactionalAttributeSettings, createTransactionalMethodCallBody, getAnnotationClassNode, getTransactionTemplateMethodName, isSpockTest, isTransactionAnnotation, moveOriginalCodeToNewMethod, visit, weaveTransactionManagerAware, weaveTransactionalBehavior, weaveTransactionalMethod`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode MY_TYPE

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String getTransactionTemplateMethodName()

    - #### @java.lang.Override protected boolean isTransactionAnnotation(org.codehaus.groovy.ast.AnnotationNode annotationNode)